.. _vim.vApp.IPAssignmentInfo: ../../../vim/vApp/IPAssignmentInfo.rst

.. _vim.vApp.IPAssignmentInfo.AllocationSchemes: ../../../vim/vApp/IPAssignmentInfo/AllocationSchemes.rst

vim.vApp.IPAssignmentInfo.AllocationSchemes
===========================================
  IP allocation schemes supported by the guest.
  :contained by: `vim.vApp.IPAssignmentInfo`_

  :type: `vim.vApp.IPAssignmentInfo.AllocationSchemes`_

  :name: ovfenv

values:
--------

dhcp
   The vApp supports DHCP to acquire IP configuration.

ovfenv
   The vApp supports setting the IP configuration through the properties provided in the OVF environment.
